Subject: Re: bug#15800: 24.3.50; hebrew: describe-input-method, case sensitive or not

From: Jambunathan K <[email-masked]>
Date: Tue, 05 Nov 2013 00:05:59 +0530

Eli Zaretskii <[email-masked]> writes:

> The 'S' label does not mean "press upper-case S", it says that this
> key will produce an upper-case S when used with Shift, and "some
> hebrew char" when used without Shift.

If English Characters are not first class citizens of the script under
consideration, why even have them in first place.  Having a Uppercase
ASCII but not having lowercase ASCII seems pretty useless to me. i.e.,
it gives me a feature that I don't need in the first place.

Anyways, this bug is a good excuse to re-look at why such a decision was
made and whether it is actually useful in practice.

ps-1: I am using English and ASCII in a crude way.  But it is clear what
I mean.

ps-2: Only reason uppercase ASCII may have been needed was to type out
Roman Numerals while editing legendary texts.

As for docstring, I need to sleep over it.